@echo off

SET choice=a

set EXE_FILE=not_defined
if "%PROCESSOR_ARCHITECTURE%" == "AMD64" (
	set ICE_REV=40
) else (
	set ICE_REV=01
)

set EXE_FILE=not_defined
if EXIST ..\..\setup\hpzscr%ICE_REV%.exe SET EXE_FILE=..\..\setup\hpzscr%ICE_REV%.exe
if EXIST hpzscr%ICE_REV%.exe SET EXE_FILE=hpzscr%ICE_REV%.exe
if "%EXE_FILE%" == "not_defined" goto MISSING_SCRUBBER_EXE

set SCRUBBER_DAT_FILE=not_defined
if EXIST ..\..\setup\hpwscr13.dat SET SCRUBBER_DAT_FILE=hpwscr13.dat
if EXIST hpwscr13.dat SET SCRUBBER_DAT_FILE=hpwscr13.dat
if "SCRUBBER_DAT_FILE" == "not_defined" goto MISSING_PRODUCT_SCRUBBER_DATFILE


echo ******************** Executing Level3 CleanUP *********************
echo This cleanup utility will remove the MPM, 
echo  HP Officejet K7100 series Toolbox and the HP product drivers. 
echo Use this utility to remove software if you are having a problem using the software 
echo and would like to reinstall the software
echo ********************************************************************
echo.
echo.
echo If you chose to UNINSTALL, Please do the following...
echo 1. Unplug the USB cable from the back of your HP Officejet K7100  device
echo 2. After the cleanup finishes, restart your computer and wait for Windows to 
echo    start up
echo 3. Eject and re-insert the software CD that came with your HP Officejet K7100  
echo    device to start the installation
echo 4. Follow the on-screen instructions to finish the installation
echo 5. Try printing a document to confirm functionality
echo.
echo.

if Windows_NT==%OS% GOTO WIN2K_XP
GOTO WIN9x_ME

:WIN2K_XP
echo Press ENTER to continue Uninstalling... 
echo              OR 
echo Press Q followed by ENTER to QUIT uninstallation

SET /P Choice=

IF /I ‘%choice:~0,1%’==’Q’ GOTO END_QUIT

GOTO DISPLAY

:WIN9x_ME
choice /C:cq Press Q to quit Uninstall OR press C to continue...
if ERRORLEVEL==2 GOTO END_QUIT
if ERRORLEVEL==1 GOTO DISPLAY

GOTO END_QUIT

:DISPLAY


REM start /w %EXE_FILE% -datfile hpqscr01.dat -unattended -nocopytotemp -noreboot
REM Echo remove HPsoftwareUpdate.msi
rem start /w MsiExec.exe /q /X{BB85ED9C-AFC9-43BD-B8DC-258C3C7DF72E}
rem start /w MsiExec.exe /q /X{8C6027FD-53DC-446D-BB75-CACD7028A134}
REM  Echo remove PSE
rem start /w MsiExec.exe /q /X{6994491D-D491-48F1-AE1F-E179C1FFFC2F}
REM  Echo remove Toolbox.msi
start /w MsiExec.exe /X{C9F9BEAE-3963-41D3-B970-CA60C6A71179} 
REM  Echo remove MPM.msi (Product Code)
start /w MsiExec.exe /X{6022B4FC-4698-4A62-B9FD-54809A9E06F8}

REM Echo forcereboot
start /w %EXE_FILE% -datfile hpqbud01.dat -unattended -nocopytotemp -forcereboot
start /w %EXE_FILE% -datfile %SCRUBBER_DAT_FILE% -unattended -showdisconnect -nocopytotemp -forcereboot


rem start /w %EXE_FILE% -datfile hpqbud04.dat -unattended -nocopytotemp -noreboot

rem start /w %EXE_FILE% -datfile hpqbud05.dat -unattended -nocopytotemp -noreboot

rem start /w %EXE_FILE% -datfile hpqbud06.dat -unattended -nocopytotemp -noreboot

rem start /w %EXE_FILE% -datfile hpqbud08.dat -unattended -nocopytotemp -noreboot

rem start /w %EXE_FILE% -datfile hpqhsc01.dat -unattended -nocopytotemp -forcereboot

goto END

:MISSING_PRODUCT_SCRUBBER_DATFILE
echo "**** Uninstall file not found: hpwscr??.dat ****"
goto EXIT

:MISSING_SCRUBBER_EXE
echo "**** Uninstall file not found: hpzscr%ICE_REV%.exe ****"
goto EXIT


:END
echo Uninstallation Completed. THANKS!

:END_QUIT
echo DONE.
pause

:END_LAST

:EXIT